<div class="qr-modal">
  <div class="qr-placeholder">
    <div class="modal-body">
      <div class="qrCanvass">
        <div class="qrPanel">
          <p class="modalTitle">Select a Category</p>
          <form novalidate [formGroup]="cat_form" (ngSubmit)="submit()">
            <div *ngFor="let cat of categories$ | async">
              <label for="vehicle1">{{ cat.name }}</label>
              &nbsp;&nbsp;
              <input type="checkbox" class="input" [value]="cat.id" (change)="onCheckboxChange($event)" />
            </div>
            <button type="submit" class="google-btn button">Submit Category</button>
          </form>
          &nbsp;
        </div>
      </div>
    </div>
  </div>
  <div class="description"></div>
</div>
